
/*  @(#)header.h 1.4 95/02/06
 *
 *  Contains definitions for class "Header".
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#define  MAXSTDHDRS         12     /* Maximum number of standard headers. */

#define  FROMHDR            "From:"
#define  FROM_HDR           "From "               /* UNIX From header. */
#define  APP_FROMHDR        "Apparently-From:"
#define  TOHDR              "To:"
#define  APP_TOHDR          "Apparently-To:"
#define  CCHDR              "Cc:"
#define  SUBJECTHDR         "Subject:"
#define  DATEHDR            "Date:"
#define  NEWSGROUPSHDR      "Newsgroups:"
#define  NEWSGROUPHDR       "Newsgroup:"
#define  REPLYHDR           "Reply-To:"
#define  CONTENT_LEN        "Content-Length:"

extern char *hdrs[MAXSTDHDRS] ;  /* The array of standard mail/news headers. */
extern Widget hpopup ;           /* Mail/News header popup. */
extern Widget *hwarr ;

extern void do_hdrs_add        (void) ;
extern void do_hdrs_apply      (void) ;
extern void do_hdrs_dismiss    (void) ;
extern void do_hdrs_remove     (void) ;
extern void do_hdrs_reset      (void) ;
extern void do_show_headers    (void) ;
extern void do_toggle_hdr_list (void) ;
extern void Header             (void) ;
extern void init_headers       (void) ;
