
/*  @(#)xutil.h 1.4 95/02/06
 *
 *  Contains definitions for class "Xutil".
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

extern Widget npopup ;              /* Popup information dialog. */

extern Pixmap create_mp_pixmap      (char *) ;

extern char *get_str_value          (enum frame_type, int) ;

extern int get_bool_value           (enum frame_type, int) ;
extern int get_int_value            (enum frame_type, int) ;
extern int get_scroll_nrows         (Widget) ;
extern int is_window_showing        (Widget) ;
extern int item_exists              (Widget, char *) ;

extern void add_delete_callback     (Widget) ;
extern void add_list_item           (Widget, int, char *) ;
extern void delete_list_item        (Widget, int) ;
extern void dismiss_popup           (Widget, XtPointer, XmAnyCallbackStruct *) ;
extern void force_popup_on_screen   (Widget, int *, int *) ;
extern void get_screen_size         (int *, int *) ;
extern void notice                  (Widget, char *) ;
extern void position_popup          (Widget, Widget) ;
extern void set_active              (enum frame_type, int, int) ;
extern void set_bool_value          (enum frame_type, int, int) ;
extern void set_excl_value          (enum frame_type, int) ;
extern void set_int_value           (enum frame_type, int, int) ;
extern void set_list_position       (Widget, int) ;
extern void set_str_value           (enum frame_type, int, char *) ;
extern void show_popup              (Widget) ;
extern void Xutil                   (void) ;

#ifndef NO_DND
extern void init_dnd                (Widget) ;
#endif /*!NO_DND*/
